Package Details: zwcad-bin 2021.0.2884-1

Git Clone URL: https://aur.archlinux.org/zwcad-bin.git (read-only, click to copy)
Package Base: zwcad-bin
Description: ZWSOFT研发的二维CAD软件,可满足看图、审图、打印工作需要
Upstream URL: https://www.zwcad.com
Keywords: 中望CAD
Licenses: unknown
Provides: zwcad
Submitter: sukanka
Maintainer: sukanka
Last Packager: sukanka
Votes: 1
Popularity: 0.006647
First Submitted: 2020-07-03 11:21
Last Updated: 2020-12-27 04:08

Dependencies (0)

Required by (0)

Sources (2)

Latest Comments

1 2 Next › Last »

jouhisaishi commented on 2020-12-02 04:30

manjaro-kde应该使ArchLinux-kde的qt环境配置不一样,manjaro-kde无法运行,换成archlinux-kde,就可与运行了。

SunMoonStar2000 commented on 2020-10-23 13:54

4.0.106这个版本虽然还会闪退,但起码能够启动起来了

SunMoonStar2000 commented on 2020-10-23 13:10

@sukanka 谢谢!

sukanka commented on 2020-10-11 02:28

@SunMoonStar2000 4.0版本可以从这里下载,记得使用上一版的PKGBUILD, 可能还要改一下校验和

http://download.zwcad.com/zwcad/cad_linux/preinst/deb/x64/kylin/zwcad-linuxpreinst_4.0.106-1_amd64.deb

SunMoonStar2000 commented on 2020-10-11 01:14

5.0 闪退: QFSFileEngine::open: No file name specified libpng warning: Application jmp_buf size changed Segmentation fault (core dumped) 请问哪里能下到4.0那个版本?

stormman2k commented on 2020-09-27 04:49

我的Manjaro 5.8.6-1 KDE运行不了

sukanka commented on 2020-09-25 13:30

@stormman2k @SamLukeYes, 我又试了一下,在我的系统(ArchLinux 5.8.10 KDE)上是可以运行的。现在的 PKGBUILD 里面直接使用的它自带的库

stormman2k commented on 2020-09-25 07:58

/usr/bin/zwcad:行 3: 62182 段错误 (核心已转储)/opt/zwcad/ZWCAD -platformpluginpath /opt/zwcad/plugins -platform xcb "$1"

无法使用,闪退

SamLukeYes commented on 2020-09-21 11:32

5.0 在 GNOME Wayland 上无法启动

/usr/bin/zwcad:行 3: 62182 段错误 (核心已转储)/opt/zwcad/ZWCAD -platformpluginpath /opt/zwcad/plugins -platform xcb "$1"

之前 4.0 是可以运行的

huyz commented on 2020-09-15 09:43

@sukanka 你用它的那个 sh 就能正常启动了(记得把 sh 里的路径改一下)。5.0 版得用它自带的那一套 qt 库才能启动,用系统库是启动不了。

或者这样启动也行:

LD_LIBRARY_PATH=.:./lib ./ZWCAD -platformpluginpath ./plugins -platform xcb